﻿@model AHCBL.Dto.User.OrderDto
@{
    ViewBag.Title = "Order_apply";
    Layout = "~/Views/Shared/_Layout_Product.cshtml";
}
@Styles.Render("~/common/css/pages/purchase.css")
<div class="width1100">
    <div class="pTable">
        @if (Model != null && Model.tab2.Count != 0)
        {
            foreach (var item in Model.tab2)
            {
                <div class="way_box way1">
                    <div class="member_box" style="text-align:center;">
                        <div class="m_box">
                            <div class="mbox on">
                                <p>@Html.DisplayFor(modelItem => item.name)</p>
                            </div>
                        </div>
                        <p class="info_line"></p>
                    </div>

                    <div class="info_box" style="text-align:center;">
                        <img src="@Html.DisplayFor(modelItem => item.img)" style="width:150px;">
                        @Html.Hidden("token", new { value = item.token })
                    </div>

                    <div class="infomation">
                        <ul>
                            <li class="li-apply"><span class="point">판매자 </span><span>@Html.DisplayFor(modelItem => item.fullname)</span></li>
                            <li class="li-apply"><span class="point">가격</span><span>@Html.DisplayFor(modelItem => item.price) 원</span></li>
                            <li class="li-apply">
                                <span class="point">입금정보</span> <span class="order-product-caption-inner03">
                                    @Html.DisplayFor(modelItem => item.bank_name)
                                </span>
                                <span class="order-product-caption-inner03">
                                    <input id="bank_info" value="@Html.DisplayFor(modelItem => item.acc_no)" style="border: none; background: none; width: 120px; text-align:center;" />
                                </span>
                                <span class="order-product-caption-inner03">
                                    @Html.DisplayFor(modelItem => item.acc_name)
                                </span>
                            </li>
                            <li class="li-apply" style=" display: contents!important;"><button onclick="copy('@Html.DisplayFor(modelItem => item.acc_no)')" class="btn btn-danger copyBank">Copy</button></li>
                            <li class="li-apply"><span class="point">핸드폰번호</span><span>@Html.DisplayFor(modelItem => item.mobile)</span></li>
                        </ul>

                        <ul>
                            <li class="li-apply">
                                <span class="point">입금자명 </span>
                                <span>
                                    <input type="text" id="buy_info" style=" color: black;" maxlength="20" />
                                    @Html.Hidden("token", new { value = item.token })
                                </span>
                            </li>
                            <li class="li-apply"><span class="point">입금정보</span><span>@Html.DisplayFor(modelItem => item.fullname)</span></li>
                        </ul>
                    </div>

                    <div class="info_btn">
                        <input class="btn btnOk" type="button" value="구매 확정" onclick="doAction(@Html.DisplayFor(modelItem => item.id));" />
                    </div>
                </div>
            }
        }
        <div class="btn_cancel">
            <input class="btn btnCa" type="button" value="취 소" onclick="location.href='/Order'" />
        </div>

    </div>


    <script>
        function doAction(id) {
            if (confirm($(".order-product-caption > h3").text() + " 상품을 판매 확정 하시겠습니까?")) {
                var buy_info = "";
                var token = $("#token").val();
                $.ajax({
                    type: "POST",
                    url: "/Order/Appv",
                    data: "{'orderId':" + id + ",'buy_info':'" + buy_info + "','token':'" + token + "'}",
                    contentType: "application/json; charset=utf-8",
                    dataType: "json",
                    success: function (msg) {
                        if (msg.err == '0') {
                            alert(msg.errmsg);
                            //location.reload();
                            location.href = "/Order";
                        } else {
                            alert(msg.errmsg);
                        }
                    }
                });


            }
        }
    </script>

    <script>
        function doValidate() {
            if ($.trim($("#buy_info").val()) == "") {
                alert("이체정보를 입력해 주세요.");
                $("#buy_info").focus();
                return false;
            }

            return true;
        }
        function doAction(id) {
            if (doValidate()) {
                if (confirm(" 상품을 구매 확정 하시겠습니까?")) {
                    //$("#cmd").val("/view/order/order_apply_process.json");

                    // $("#order_apply_form").attr("action", "../../frame/order/orderController.asp").submit();
                    var buy_info = $("#buy_info").val();
                    var token = $("#token").val();
                    $.ajax({
                        type: "POST",
                        url: "/Order/Appv",
                        data: "{'orderId':" + id + ",'buy_info':'" + buy_info + "','token':'" + token + "'}",
                        contentType: "application/json; charset=utf-8",
                        dataType: "json",
                        success: function (msg) {
                            if (msg.err == '0') {
                                alert(msg.errmsg);
                                location.reload();
                                //location.href = "/Order";
                            } else {
                                alert(msg.errmsg);
                            }
                        }
                    });


                    //$.mvcAjax({
                    6

                }
            }
        }
    </script>
    <script type="text/javascript">
        function copy(acc_no) {
            var copy = document.querySelector(".bank_info");
            copy.setSelectionRange(0, 99999);
            document.execCommand("copy")
            alert("Copied : " + copy.value);
        }




        document.querySelector(".copy").addEventListener("click", copyText);
        function copyText() {
            var copyText = document.querySelector(".urlJoin");
            copyText.select();
            copyText.setSelectionRange(0, 99999);
            document.execCommand("copy");
            alert("복사 된 텍스트 : " + copyText.value);
        }
    </script>
